.container-galleries {
  width: 100%;
  max-width: 1000px;
  margin-top: 45px;
}

.galleries-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  margin: 1rem;
}

h1 {
  font-size: min(max(1.5rem, 6vw), 2rem);
}

.gallery-logo {
  width: 100%;
  max-width: 300px;
}

.gallery-box {
  width: 250px;
  height: 250px;

  position: relative;

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.3);

  transition: all 0.3s ease-in-out;
  filter: grayscale(50%);
  transform: scale(1);

  image-rendering: optimizeQuality;
}

.gallery-box:hover {
  filter: grayscale(0%);
  transform: scale(1.03);
}

.gallery-title {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 30px;
  background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  color: white;
  text-align: center;
  text-transform: uppercase;
  padding-top: 10px;
  font-size: 1.1rem;
  font-family: "Lora", serif;
}

.back-button {
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.3);
}

@media screen and (max-width: 515px) {
  .galleries-grid {
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    justify-items: center;
  }

  .gallery-box {
    width: 200px;
    height: 200px;
  }
}
